cancel
Showing results for 
Search instead for 
Did you mean: 

With the latest CubeIDE 1.12.0 on Linux is there a work around for the Market Place Client install Problem?

GreenGuy
Senior III

When I try to use market place nothing will install claiming missing dependencies. the Market Place Client requires an update but it will not update. The install log reports:

Cannot complete the install because of a conflicting dependency.

 Software being installed: Marketplace Client 1.10.0.v20220502-0731 (org.eclipse.epp.mpc.feature.group 1.10.0.v20220502-0731)

 Software currently installed: STM32CubeIDE 1.12.0 (com.st.stm32cube.ide.mcu.rcp.product 1.12.0)

 Only one of the following can be installed at once:

   Marketplace Client 1.9.3.v20220121-1317 (org.eclipse.epp.mpc.ui 1.9.3.v20220121-1317)

   Marketplace Client 1.10.0.v20220502-0731 (org.eclipse.epp.mpc.ui 1.10.0.v20220502-0731)

 Cannot satisfy dependency:

   From: STM32CubeIDE MCU RCP 2.1.300.202302091318 (com.st.stm32cube.ide.feature.mcu.rcp.feature.group 2.1.300.202302091318)

   To: org.eclipse.equinox.p2.iu; org.eclipse.epp.mpc.feature.group [1.9.3,1.10.0)

 Cannot satisfy dependency:

   From: STM32CubeIDE 1.12.0 (com.st.stm32cube.ide.mcu.rcp.product 1.12.0)

   To: org.eclipse.equinox.p2.iu; com.st.stm32cube.ide.feature.mcu.rcp.feature.group [2.1.300.202302091318,2.1.300.202302091318]

 Cannot satisfy dependency:

   From: Marketplace Client 1.10.0.v20220502-0731 (org.eclipse.epp.mpc.feature.group 1.10.0.v20220502-0731)

   To: org.eclipse.equinox.p2.iu; org.eclipse.epp.mpc.ui [1.10.0.v20220502-0731,1.10.0.v20220502-0731]

 Cannot satisfy dependency:

   From: Marketplace Client 1.9.3.v20220121-1317 (org.eclipse.epp.mpc.feature.group 1.9.3.v20220121-1317)

   To: org.eclipse.equinox.p2.iu; org.eclipse.epp.mpc.ui [1.9.3.v20220121-1317,1.9.3.v20220121-1317]

How does this get resolved?

1 REPLY 1
GreenGuy
Senior III

Got java 17 installed correctly, unistalled cube IDE and re-install with another download. Software reported successfully installed. Went to Market place which need to update the Market Place Client. It ill not install reporting the same issues as last time.

So what now ST? How does this get resolved?